## GstValidateRunner GstValidateRunner — Class that runs Gst Validate tests for a pipeline |

## Functions

GstValidateRunner * | gst_validate_runner_new ()
guint | gst_validate_runner_get_reports_count ()
int | gst_validate_runner_printf ()

## Properties

gchar * | params | Read / Write / Construct

## Signals

void | report-added | Run Last
void | stopping | Run Last

## Types and Values

struct | GstValidateRunner
struct | GstValidateRunnerClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstTracer
                    ╰── GstValidateRunner

## Description

Allows you to test a pipeline within GstValidate. It is the object where all issue reporting is done.

In the tools using GstValidate the only minimal code to be able to monitor your pipelines is:

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    GstPipeline *pipeline = gst_pipeline_new ("monitored-pipeline");
    GstValidateRunner *runner = gst_validate_runner_new ();
    GstValidateMonitor *monitor = gst_validate_monitor_factory_create (
            GST_OBJECT (pipeline), runner, NULL);

    // Run the pipeline and do whatever you want with it

    // In that same order
    gst_object_unref (pipeline);
    gst_object_unref (runner);
    gst_object_unref (monitor);

## Functions

### gst_validate_runner_new ()

    GstValidateRunner *
    gst_validate_runner_new (void);

Create a new GstValidateRunner

#### Returns

A newly created GstValidateRunner

### gst_validate_runner_get_reports_count ()

    guint
    gst_validate_runner_get_reports_count (GstValidateRunner *runner);

Get the number of reports present in the runner:

#### Parameters

runner | The $GstValidateRunner to get the number of reports from |

#### Returns

The number of reports present in the runner.

### gst_validate_runner_printf ()

    int
    gst_validate_runner_printf (GstValidateRunner *runner);

Prints all the reports on the terminal or on wherever is set in the GST_VALIDATE_FILE env variable.

#### Parameters

runner | The GstValidateRunner to print all the reports for |

#### Returns

0 if no critical error has been found and 18 if a critical error has been detected. That return value is usually to be used as exit code of the application.

## Types and Values

### struct GstValidateRunner

    struct GstValidateRunner;

GStreamer Validate Runner class.

Class that manages a Validate test run for some pipeline

### struct GstValidateRunnerClass

    struct GstValidateRunnerClass {
      GstTracerClass parent_class;
    };

GStreamer Validate Runner object class.

#### Members

## Property Details

### The `“params”` property

      “params”                   gchar *

Extra configuration parameters.

Flags: Read / Write / Construct

Default value: NULL

## Signal Details

### The `“report-added”` signal

    void
    user_function (GstValidateRunner *gstvalidaterunner,
                   GstValidateReport *arg1,
                   gpointer           user_data)

Flags: Run Last

### The `“stopping”` signal

    void
    user_function (GstValidateRunner *gstvalidaterunner,
                   gpointer           user_data)

Flags: Run Last